com.marklogic.http

## Class HttpHeaders

- java.lang.Object
- - com.marklogic.http.HttpHeaders

-     public class HttpHeaders
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HttpHeaders()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `java.util.List<java.lang.String>` | `getAllHeaders(java.lang.String name)`
    `java.util.List<java.lang.String>` | `getAllHeadersNormalized(java.lang.String name)`
    `int` | `getContentLength()`
    `java.lang.String` | `getContentType()`
    `java.lang.String` | `getContentTypeField(java.lang.String fieldName)`
    `java.lang.String` | `getHeader(java.lang.String name)`
    `java.lang.String` | `getHeaderNormalized(java.lang.String name)`
    `java.lang.String` | `getHeaderSubValue(java.lang.String headerName, java.lang.String subName, java.lang.String delim)`
    `static java.lang.String` | `getHeaderSubValueFromValue(java.lang.String headerValue, java.lang.String subName, java.lang.String delim)`
    `java.lang.Integer` | `getHeaderSubValueInt(java.lang.String headerName, java.lang.String subName, java.lang.String delim)`
    `java.lang.String` | `getRequestLine()`
    `java.lang.String` | `getRequestMethod()`
    `java.lang.String` | `getRequestPath()`
    `java.lang.String` | `getRequestVersion()`
    `int` | `getResponseCode()`
    `java.lang.String` | `getResponseConnection()`
    `java.lang.String` | `getResponseLine()`
    `java.lang.String` | `getResponseMessage()`
    `boolean` | `isChunked()`
    `java.util.Iterator<java.lang.String>` | `iterator()`
    `java.util.Iterator<java.lang.String>` | `iteratorAll()`
    `void` | `parsePlainHeaders(java.io.InputStream is)`
    `void` | `parseResponseHeaders(java.io.InputStream is)`
    `void` | `setHeader(java.lang.String name, java.lang.String value)`
    `void` | `setHeaderNormalized(java.lang.String name, java.lang.String value)`
    `void` | `setRequestValues(java.lang.String method, java.lang.String path, java.lang.String version)`
    `void` | `setResponseValues(java.lang.String line)`
    `int` | `size()`
    `java.lang.String` | `toString()`
    `java.lang.StringBuffer` | `toStringBuffer(java.lang.StringBuffer userSb)`
    `int` | `writeHeaders(java.io.OutputStream os)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### HttpHeaders

          public HttpHeaders()

  - ### Method Detail

    - #### clear

          public void clear()

    - #### size

          public int size()

    - #### setHeaderNormalized

          public void setHeaderNormalized(java.lang.String name,
                                          java.lang.String value)

    - #### setHeader

          public void setHeader(java.lang.String name,
                                java.lang.String value)

    - #### getAllHeadersNormalized

          public java.util.List<java.lang.String> getAllHeadersNormalized(java.lang.String name)

    - #### getAllHeaders

          public java.util.List<java.lang.String> getAllHeaders(java.lang.String name)

    - #### getHeaderNormalized

          public java.lang.String getHeaderNormalized(java.lang.String name)

    - #### getHeader

          public java.lang.String getHeader(java.lang.String name)

    - #### iterator

          public java.util.Iterator<java.lang.String> iterator()

    - #### iteratorAll

          public java.util.Iterator<java.lang.String> iteratorAll()

    - #### setResponseValues

          public void setResponseValues(java.lang.String line)
                                 throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getResponseLine

          public java.lang.String getResponseLine()

    - #### getResponseCode

          public int getResponseCode()

    - #### getResponseMessage

          public java.lang.String getResponseMessage()

    - #### setRequestValues

          public void setRequestValues(java.lang.String method,
                                       java.lang.String path,
                                       java.lang.String version)

    - #### getRequestLine

          public java.lang.String getRequestLine()

    - #### getRequestMethod

          public java.lang.String getRequestMethod()

    - #### getRequestPath

          public java.lang.String getRequestPath()

    - #### getRequestVersion

          public java.lang.String getRequestVersion()

    - #### getContentLength

          public int getContentLength()

    - #### getContentType

          public java.lang.String getContentType()

    - #### getContentTypeField

          public java.lang.String getContentTypeField(java.lang.String fieldName)

    - #### isChunked

          public boolean isChunked()

    - #### getResponseConnection

          public java.lang.String getResponseConnection()

    - #### toStringBuffer

          public java.lang.StringBuffer toStringBuffer(java.lang.StringBuffer userSb)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### writeHeaders

          public int writeHeaders(java.io.OutputStream os)
                           throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### parseResponseHeaders

          public void parseResponseHeaders(java.io.InputStream is)
                                    throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### parsePlainHeaders

          public void parsePlainHeaders(java.io.InputStream is)
                                 throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getHeaderSubValue

          public java.lang.String getHeaderSubValue(java.lang.String headerName,
                                                    java.lang.String subName,
                                                    java.lang.String delim)

    - #### getHeaderSubValueFromValue

          public static java.lang.String getHeaderSubValueFromValue(java.lang.String headerValue,
                                                                    java.lang.String subName,
                                                                    java.lang.String delim)

    - #### getHeaderSubValueInt

          public java.lang.Integer getHeaderSubValueInt(java.lang.String headerName,
                                                        java.lang.String subName,
                                                        java.lang.String delim)

Copyright © 2025 MarkLogic Corporation. All Rights Reserved.

Complete online documentation for MarkLogic Server, XQuery and related components may be found at developer.marklogic.com